
html{
    scroll-behavior: smooth;
}
/* Reset browser style */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* root file where all color have you can change color it change all over the page */
:root{

    /* font work */

    --font-family: 'Inter', sans-serif;

    /* color */
    --primary-color: #7C3AED;
    --background-color:#0B0F19;
    --text-color: #FFFFFF;
}


/* body style */
body{
    background-color:  var(--background-color);
    color: var(--text-color);
    font-family: var(--font-family);
}

.navStyle{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    list-style: none;
    margin-top: 2rem;
}

.navStyle a{
    position: relative;
    text-decoration: none;
    color: var(--text-color);
}

.navStyle a::after{
    position: absolute;
    content: "";
    left: 0;
    bottom: -5px;
    width: 0%;
    height: 2px;
    background: var(--text-color);
    transition: 0.3s ease;
}

.navStyle a:hover::after{
    width: 100%;
}

.navStyle .active::after{
    width: 100%;
}

.menuBtn{
    display: none;
}

/* Hero section  */
.hero{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 4rem;
    padding: 6rem 5rem;
    min-height: 100vh;
}

.heroContent{
    flex: 1;
}

.badge{
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 50px;
    background: rgba(255,255,255,0.08);
    border: 1px solid rgba(255,255,255,0.1);
    margin-bottom: 1.5rem;
}

.heroContent h1{
    font-size: 4rem;
    line-height: 1.1;
    margin-bottom: 1.5rem;
}

.heroContent p{
    max-width: 600px;
    color: #94A3B8;
    line-height: 1.7;
    margin-bottom: 2rem;
}

.heroBtn{
    display: flex;
    gap: 1rem;
    margin-bottom: 2rem;
}

.primaryBtn{
    padding: 1rem 2rem;
    border: none;
    border-radius: 10px;
    color: white;
    background: #7C3AED;
    cursor: pointer;
}

.secondaryBtn{
    padding: 1rem 2rem;
    border-radius: 10px;
    border: 1px solid rgba(255,255,255,0.1);
    background: rgba(255,255,255,0.05);
    color: white;
    cursor: pointer;

}

small{
    color: #94A3B8;
}

.heroImage{
    flex: 1;
    display: flex;
    justify-content: center;
}

.glassCard{
    width: 400px;
    height: 300px;
    border-radius: 20px;
    background: rgba(255,255,255,0.05);
    border: 1px solid rgba(255,255,255,0.1);
    backdrop-filter: blur(20px);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1rem;
}

    /* Trusted css */
.trusted{
    text-align: center;
    padding: 4rem 2rem;
}
.trusted p{
    color: #94A3B8;
    margin: 4rem;
}

.companyName{
    display: flex;
    justify-content: center;
    gap: 3rem;
    flex-wrap: wrap;
}

.companyName span{
    font-size: 1.2rem;
    font-weight: 600;
    opacity: 0.7;
}

/* Features Css */

.features{
    padding: 5rem 6rem;
}
.featureHeading{
    text-align: center;
    margin-bottom: 4rem;
}
.featureBadge{
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 50px;
    background-color: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    margin-bottom: 1rem;
}

.featureHeading h2{
    font-size: 3rem;
    margin-bottom: 1rem;
}
.featureHeading p{
    color: #94A3B8;
    max-width: 700;
    margin: auto;
    line-height: 1.7;
}

.featuresCard{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 2rem;
}

.card{
    padding: 2rem;
    border-radius: 20px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
    transition: 3s ease;
}
.card:hover{
    transform: translateY(-10px);
}

.icon{
    font-size: 2rem;
    margin-bottom: 1.5rem;
}

.card h3{
    margin-bottom: 1rem;
    font-size: 1.4rem;
}

.card p{
       color: #94A3B8;

    line-height: 1.7;
}


.dashboardSection{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 5rem;
    padding: 6rem 5rem;
}
.dashboardContent{
    flex: 1;
}

.DashboardBadge{
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 50px;
    background: rgba(255,255,255,0.05);
    border: 1px solid rgba(255,255,255,0.1);
    margin-bottom: 1.5rem;
}
.dashboardContent h2{
    font-size: 3.5rem;
    margin-bottom: 1.5rem;
    line-height: 1.1;
}

.dashboardContent p{
    color: #94A3B8;
    line-height: 1.8;
    margin-bottom: 3rem;
    max-width: 600px;
}

.dashboardState{
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;

}

.statCard{
    padding: 1.5rem;
    border-radius: 20px;
    max-width: 180px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
}

.statCard h3{
    font-size: 1.8rem;
    margin-bottom: 0.5rem;
}

.statCard span{
    color: #94A3B8;
}

.dashboardImage{
    flex: 1;
    display: flex;
    justify-content: center;
}

.dashboardCard{
    width: 100%;
    max-width: 500px;
    padding: 2rem;
    border-radius: 25px;
    backdrop-filter: blur(20px);
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
}

.topBar{
    display: flex;
    gap: 0.5rem;
    margin-bottom: 2rem;
}

.topBar span{
    width: 12px;
    height: 12px;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.05);
}

.dashboardBoxes{
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.smallBox{
    display: flex;
    gap: 1.5rem;
}

.box{
    flex: 1;
    height: 120px;
    border-radius: 20px;
    background: rgba(255, 255, 255, 0.05);
}

.largeBox{
    height: 200px;
}

.chooseUs{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5rem;
    padding: 6rem 5rem;
}

.chooseContent{
    flex: 1;
}

.chooseBadge{
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.05);
    border :1px solid rgba(255, 255, 255, 0.1);
    margin-bottom: 1.5rem;
}

.chooseContent h3{
    font-size: 4.5;
    line-height: 1.1;
    margin-bottom: 1.5rem;
}

.chooseText{
    color: #94A3B8;
    line-height: 1.8;
    max-width: 550px;
    gap: 1.5rem;
}

.chooseCards{
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.chooseCard{
    display: flex;
    align-items: flex-start;
    gap: 1.5rem;
    border-radius: 20px;
    padding: 2rem;
    
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(20px);
    transition: 1s ease;
}

.chooseCard:hover{
    transform: translateY(-8px);
}

.chooseIcons{
    width: 60px;
    height: 60px;
    border-radius: 15px;
    background: rgba(124,58,237,0.15);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    flex-shrink: 0;
}

.chooseCard h3{
    margin-bottom: 0.7rem;
    font-size: 1.7rem;
}

.chooseCard p{
    color: #94A3B8;
    line-height: 1.7;
}

/* pricing Css */
.pricing{
    padding: 6rem 5rem;
}

.priceHeading{
    text-align: center;
    margin-bottom: 4rem;
}

.priceBadge{
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    margin-bottom: 1rem;
}

.priceHeading h2{
    font-size: 3rem;
    margin-bottom: 1rem;
}

.priceHeading p{
     color: #94A3B8;
}

.pricingCards{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 2rem;
}

.pricingCard{
    position: relative;
    padding: 3rem 2rem;
    border-radius: 25px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(20px);
    transition: 0.3s ease;
}

.pricingCard:hover{
    transform: translateY(-10px);
}
.activePlan{
    border: 1px solid  #7C3AED;
    transform: scale(1.05);
}

.recommended{
    position: absolute;
    top: -15px;
    left: 20px;
    padding: 0.5rem 1rem;
    border-radius: 50px;
    background: #7C3AED;
    font-size: 0.9rem;
}
.pricingCard h3{
    font-size: 1.5rem;
    margin-bottom: 1rem;
}
.pricingCard h1{
    font-size: 3rem;
    margin-bottom: 2rem;
}

.pricingCard h1 span{
    font-size: 1rem;
    color:  #94A3B8;
}
.customText{
    margin-bottom: 2rem;
    color: #94A3B8;
}

.pricingCard ul{
    list-style: none;
    margin-bottom: 2rem;
}

.pricingCard ul li{
    margin-bottom: 1rem;
    color: #CBD5E1;
}

.pricingCard button{
    width: 100%;
    padding: 1rem;
    border: none;
    border-radius: 12px;
    background: #7C3AED;
    color: white;
    font-size: 1rem;
    cursor: pointer;
    transition: 0.3s ease;
}
.pricingCard button:hover{
    opacity: 0.8;
}


/* Testimonial CSS */

.testimonials{
    padding: 6rem 5rem;
}

.testimonialHeading{
    text-align: center;
    margin-bottom: 4rem;
}

.testimonialBadge{
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    margin-bottom: 1rem;
}
.testimonialHeading h2{
    font-size: 3rem;
    margin-bottom: 1rem;
}
.testimonialHeading p{
    color: #94A3B8;
    max-width: 700px;
    margin: auto;
    line-height: 1.7;
}

.testimonialCards{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 2rem;
}

.testimonialCard{
    padding: 2.5rem;
    border-radius: 25px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(20px);
    transition: 0.3s ease;
}

.testimonialCard:hover{
    transform: translateY(-10px);

}

.quote{
    font-size: 4rem;
    color: #7C3AED;
    line-height: 1;
    margin-bottom: 1rem;
}

.review{
    color: #CBD5E1;
    line-height: 1.8;
    margin-bottom: 2rem;
}

.userInfo{
    display: flex;
    align-items: center;
    gap: 1rem;
}
.userImage{
    width: 55px;
    height: 55px;
    border-radius: 50%;
    background: #7C3AED;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 600;
}

.userInfo h3{
    margin-bottom: 0.3rem;
    font-size: 1.1rem;
}
.userInfo span{
    color: #94A3B8;
    font-size: 0.95rem;
}


/* FAQ CSS */

.faq{
    padding: 6rem 5rem;
}
.faqHeading{
    text-align: center;
    margin-bottom: 4rem;
}

.faqBadge{
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    margin-bottom: 2rem;
}

.faqBadge h2{
    font-size: 3rem;
    margin-bottom: 1rem;
}

.faqHeading p{
    color: #94A3B8;
    line-height: 1.7;
}

.faqContainer{
    max-width: 900px;
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.faqCard{
    padding: 2rem;
    border-radius: 20px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(20px);
    transition: 0.3s ease;
}
.faqCard:hover{
    transform: translateY(-5px);
}

.faqQuestion{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
    gap: 1rem;
}
.faqQuestion h3{
    font-size: 1.3rem;
}
.faqQuestion span{
    font-size: 1.5rem;
    color: #7C3AED;
}

.faqQuestion p{
    color: #94A3B8;
    line-height: 1.8;
}

/* CTA */
.cta{
    padding: 6rem 5rem;

}

.ctaContainer{
    max-width: 1000px;
    margin: auto;
    text-align: center;
    padding: 5rem 3rem;
    border-radius: 30px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(20px);
    position: relative;
    overflow: hidden;
}

.ctaContainer::before{
    content: "";
    position: absolute;
    width: 300px;
    height: 300px;
    background: rgba(124,58,237,0.25);
    border-radius: 50px;
    top: -100px;
    left: -100px;
    filter: blur(100px);
}

.ctaBadge{
    display: inline-block;
    padding: 0.5rem 1rem;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid rgba(255, 255, 255, 0.1);
    margin-bottom: 1.5rem;
    position: relative;
    z-index: 1;
}

.ctaContainer h2{
    font-size: 3.5rem;
    line-height: 1.7;
    margin-bottom: 1.5rem;
    position: relative;
    z-index: 1;
}

.ctaContainer p{
    color: #94A3B8;
    line-height: 1.8;
    width: 700px;
    margin: auto;
    margin-bottom: 2.5rem;
    position: relative;
    z-index: 1;
}

.ctaContainer button{
    padding: 1rem 2rem;
    border: none;
    border-radius: 14px;
    background: #7C3AED;
    color: white;
    font-size: 1rem;
    cursor: pointer;
    transition: 0.3s ease;
    position: relative;
    z-index: 1;
}

.ctaContainer button:hover{
    transform: translateY(-5px);
    opacity: 0.8;
}


/* Footer Css */
.footer{
    padding: 5rem 5rem 2rem;
    border-top: 1px solid rgba(255, 255, 255, 0.1);

}

.footerContainer{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 3rem;
    margin-bottom: 4rem;
}

.footerColumn h3{
    margin-bottom: 1.5rem;
    font-size: 1.2rem;
}

.footerColumn ul{
    list-style: none;
}

.footerColumn ul li{
    margin-bottom: 1rem;
}

.footerColumn ul li a{
    text-decoration: none;
    color: #94A3B8;
    transition: 0.3s ease;
}

.footerColumn ul li a:hover{
    color: white;
}

.footerBottom{
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    padding: 2rem;
    text-align: center;
}

.footerBottom p{
    color: #94A3B8;
}

/* Reponsive Navbar */
@media (max-width:768px) {

    nav{
        padding: 2rem;
    }
    .navStyle{
        position: fixed;
        top: 0;
        left: -100%;
        width: 250px;
        height: 100vh;
        background: #111827;
        flex-direction: column;
        padding-top: 5rem;
        transition: 0.5s ease;
    }

    .navStyle.active{
        left: 0;
    }

    .menuBtn{
        display: block;
        font-size: 2rem;
        cursor: pointer;
        z-index: 1001;
    }

    .hero{
        flex-direction: column;
        text-align: center;
        padding: 4rem 2rem;
    }

    .heroContent h1{
    font-size: 3rem;

    }
    .heroBtn{
        /* flex-direction: column; */
        justify-content: center;
    }
    .heroImage{
        width: 100%;
    }

    .glassCard{
        width: 100%;
        max-width: 400px;
    }

    /* feature media query */
    .features{
        padding: 4rem 2rem;
    }

    .featureHeading h2{
        font-size: 2.5rem;
    }

    .featuresCard{
        grid-template-columns: 1fr;
    }

    /* DashBoard section */
    .dashboardSection{
        flex-direction: column;
        padding: 4rem 2rem;
        align-items: center;

    }

    .dashboardContent{
        font-size: 2rem;
    }
    .dashboardState{
        justify-content: center;
    }
    .smallBox{
        flex-direction: column;
    }

    /* Why choose Us */
    .chooseUs{
        flex-direction: column;
        padding: 4rem 2rem;
        text-align: center;
    }
    .chooseContent h3{
        font-size: 2.5rem;
    }
    .chooseCard{
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    /* price Section mobile size design */
    .pricing{
        padding: 4rem 2rem;
    }

    .priceHeading h2{
        font-size: 2.5rem;
    }
    .pricingCards{
        grid-template-columns: 1fr;
    }
    .activePlan{
        transform: scale(1);   
    }

    /* Testimonial Section mobile size design */
    .testimonials{
        padding: 4rem 2rem;
    }
    .testimonialHeading h2{
        font-size: 2.5rem;
    }
    .testimonialCards{
        grid-template-columns: 1fr;
    }

    /* FAQ mobile screen */
    .faq{
        padding: 4rem 2rem;
    }
    .faqHeading h2{
        font-size: 2.5rem;
    }

    /* CTA mobile screen  */
    .cta{
        padding: 4rem 2rem;
    }
    .ctaContainer{
        padding: 4rem 2rem;
    }
    .ctaContainer h2{
        font-size: 2.5rem;
    }

    /* Footer mobile size  */
    .footer{
        padding: 4rem 2rem 2rem;
    }
    .footerContainer{
        grid-template-columns: 1fr 1fr;
        gap: 2rem;
    }
}